<?php
 
 
 

namespace PhpWA\Protocol\Proto\CallLogRecord;

use UnexpectedValueException;




class CallType
{
    


    const REGULAR = 0;
    


    const SCHEDULED_CALL = 1;
    


    const VOICE_CHAT = 2;

    private static $valueToName = [
        self::REGULAR => 'REGULAR',
        self::SCHEDULED_CALL => 'SCHEDULED_CALL',
        self::VOICE_CHAT => 'VOICE_CHAT',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

